jQuery(function($){
	$(window).load(function() {
		console.log(savedData);
		
		$('#treeContainer').css('background', '#ffffff');
		$('#detaliiContainer').css('background', '#ffffff');
		initTree($('#treeContainer'), date);
		
		$('#renunta').on('click', function() {
			window.close();
		})
	
		$(':checkbox').change(function () {
			$(this).closest('li').children('ul').slideToggle();
		});
		
		
		$('label').click(function(){
			$(this).closest('li').children('ul').slideToggle();
			checkInputs($(this).closest('li').find('ul').find('li.linii'));
			
			var liId = $(this).closest('li').attr('id').split('-')[1];
            $('#gradIncarcare').html(parseInt(parseFloat(infoDate[liId].gradIncarcare) * 100));
            
			$('#utilizatoriCasnici').html(parseInt(infoDate[liId].utilizatoriCasnici));
			$('#utilizatoriMici').html(parseInt(infoDate[liId].utilizatoriMici));
			$('#utilizatoriMari').html(parseInt(infoDate[liId].utilizatoriMari));
			$('#utilizatoriJt').html(parseInt(infoDate[liId].utilizatoriJt));
			$('#utilizatoriMt').html(parseInt(infoDate[liId].utilizatoriMt));
			$('#utilizatoriIt').html(parseInt(infoDate[liId].utilizatoriIt));
			$('#localitateLf').html(infoDate[liId].localitate);
			$('#mediuLf').html(infoDate[liId].mediu == '1' ? 'urban' : ( infoDate[liId].mediu == '2' ? 'rural' : '-'));
			$('#snom').html(infoDate[liId].sNom);
			$('#pnom').html(Math.round(0.92 * parseInt(infoDate[liId].sNom)));
			$('#anPif').html(infoDate[liId].an);
			$('#an').html(infoDate[liId].anPif);
			$('#dataSave').html(infoDate[liId].dataSave);
			$('#nrConsumatori').html(parseInt(infoDate[liId].utilizatoriJt) + parseInt(infoDate[liId].utilizatoriMt) + parseInt(infoDate[liId].utilizatoriIt));
		
		});
		
		$('input[name="lfs"]').each(function(i,elm) {
			if(typeof $(this).attr('checked') != typeof undefined) {
				var ul = $(this).closest('ul');
				var parentLi = ul.parent();
				
				parentLi.parent().css('display', 'block');
				ul.css('display', 'block');
				
			}
		});
		checkInputsOnLoad();
	});
	
	function checkInputsOnLoad() {
		$('li.linii #check-all').each(function(i, elm) {
			$(this).click(function() {
				var $uncheck = $(this).closest('li').find('#uncheck-all');
				$(this).closest('li').children('ul').slideDown();
				$(this).closest('li').find('ul').children('.pturi').each(function(i, elm) {
					var $checkbox  = $(this).find('input[name="lfs"]');
					if(typeof $checkbox.attr('checked') == typeof undefined)
						$checkbox.attr('checked', true);
					
				});
				$(this).hide();
				$uncheck.show();
			});
			
			$('li.linii #uncheck-all').each(function(i, elm) {
				$(this).click(function(e) {
					var $check = $(this).closest('li').find('#check-all');
					$(this).closest('li').find('ul').children('.pturi').each(function(i, elm) {
						var $checkbox = $(this).find('input[name="lfs"]');
						if(typeof $checkbox.attr('checked') != typeof undefined/* && savedData.indexOf($checkbox.val()) == -1*/)
							$checkbox.prop('checked', false);
					});
					$(this).hide();
					$check.show();
				});
			});
		});
	}
	
	function checkInputs($el) {
		$el.each(function(i, elm) {
			$(this).find('#check-all').click(function(e) {
				$(this).closest('li').children('ul').slideDown();
				var $uncheck = $(this).closest('li').find('#uncheck-all');
				$(this).closest('li').find('ul').children('.pturi').each(function(i, elm) {
					var $checkbox = $(this).find('input[name="lfs"]');
					if(typeof $checkbox.attr('checked') == typeof undefined)
						$checkbox.attr('checked', true);
				});
				$(this).hide();
				$uncheck.show();
			});		
			
			$(this).find('#uncheck-all').click(function(e) {
				$(this).closest('li').children('ul').slideDown();
				var $check = $(this).closest('li').find('#check-all');
				$(this).closest('li').find('ul').children('.pturi').each(function(i, elm) {
					var $checkbox = $(this).find('input[name="lfs"]');
					if(typeof $checkbox.attr('checked') != typeof undefined)
						$checkbox.attr('checked', false);
				});
				$(this).hide();
				$check.show();
			});
		});
	}
	
	function initTree($el, data) {
		for(var i in data.children) {
			var node = data.children[i];
			
			if(typeof node.id != typeof undefined) {
				$item = $('<li>', {
					id: "item-" + node.id,
					style: 'color:' + node.color,
					class: node.level == 3 && i % 2 == 0 ? 'even-row pturi' : 
						( node.level == 3 ? 'pturi' : 
							(node.level == 2 ? 'linii' : '') 
						)
				});
							
				$item.append($('<input>', {
					type: "checkbox",
					name: "lfs",
					value: node.id,
					checked: savedData.indexOf(node.id) != -1 ? true : false
				}));
					
				$item.append($('<label>', {
					for: "item-" + node.id,
					text: node.title
					
				}));

				if(parseInt(node.level) === 2) {
					$item.append($('<a>', {
						href: 'javascript:',
						text: 'Check all',
						style: 'margin-left:10px;',
						id: 'check-all'
					}));					
					
					$item.append($('<a>', {
						href: 'javascript:',
						text: 'Uncheck all',
						style: 'margin-left:10px;display:none;',
						id: 'uncheck-all'
					}));
				}
							
				$el.append($item);
				if(node.children) {
					var $ul = $('<ul>', {
						style: 'display: none'
					}).appendTo($item);
					initTree($ul, node);
				}
			}
		}                
	}
});


	
